Wikipedia.org Portal: add meta description in page source
Closed, ResolvedPublic

Description

To update the way some search engines describe the Wikipedia portal when wikipedia is queried, I'd like to add in the following to the wikipedia.org page code:

<meta name="description" content="Wikipedia is a free encyclopedia that is hosted by the Wikimedia Foundation, a non-profit organization that also hosts a range of other projects which are built collaboratively using wiki software.">

debt created this task.Aug 17 2016, 6:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 6:46 PM
debt triaged this task as Normal priority.Aug 17 2016, 6:46 PM

( adding missing Wikimedia-Portals to Projects/Tags)

Change 306241 had a related patch set uploaded (by Jdrewniak):
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

In my opinion this text is too long (197 characters). The suggested length for the meta description is somewhere between 150 and 160 characters.
I think most search engines will truncate the description, displaying something like:

Wikipedia is a free encyclopedia that is hosted by the Wikimedia Foundation, a non-profit organization that also hosts a range of other projects which are ...

Also, just my 2 cents, I personally feel we should emphasize less on the WMF and more on the encyclopedia + movement. Something like: "Wikipedia is a free encyclopedia, written by volunteers and hosted by the Wikimedia Foundation, with more than 41,000,000 articles in 294 languages." (148 characters). This would have a different impact on me at least.

In my opinion this text is too long (197 characters). The suggested length for the meta description is somewhere between 150 and 160 characters.
I think most search engines will truncate the description, displaying something like:

Wikipedia is a free encyclopedia that is hosted by the Wikimedia Foundation, a non-profit organization that also hosts a range of other projects which are ...

Also, just my 2 cents, I personally feel we should emphasize less on the WMF and more on the encyclopedia + movement. Something like: "Wikipedia is a free encyclopedia, written by volunteers and hosted by the Wikimedia Foundation, with more than 41,000,000 articles in 294 languages." (148 characters). This would have a different impact on me at least.

Good suggestion!

Also, just my 2 cents, I personally feel we should emphasize less on the WMF and more on the encyclopedia + movement. Something like: "Wikipedia is a free encyclopedia, written by volunteers and hosted by the Wikimedia Foundation, with more than 41,000,000 articles in 294 languages." (148 characters). This would have a different impact on me at least.

Great suggestion. Until we get a more standardised description, I think we should use @JGirault's text.

debt added a comment.Aug 24 2016, 7:39 PM

The unfortunate part of adding in specific numbers

with more than 41,000,000 articles in 294 languages

is that this will need to be updated on a somewhat regular basis, which I'm not sure we'll be able to do.

Typical meta descriptions of major sites don't include specifics like that, because it's focused on the more broad definition of the site.

For an example - a search for 'white house' on various search engine sites typically comes up with this general description:

Official White House site presents issue positions, news, Cabinet, appointments, offices and major speeches. Includes biography, video tour and photo essays.

...not with the current President's name, etc.

CKoerner_WMF added a comment.EditedAug 30 2016, 7:08 PM

Is this something we can ask folks on Meta for help with? Can we provide translations for searches (results) in other languages?

https://www.google.de/?gws_rd=ssl#q=wikipedia

debt added a comment.Aug 31 2016, 12:02 AM

Please update to:

Wikipedia is a free encyclopedia, written by volunteers and hosted by the Wikimedia Foundation, a non-profit organization that also enables other collaboratively built projects to be created using wiki software.

This will be more than a typical 150 to 160 characters shown in search engines, but I think it'll be fine. The description is general enough and won't need to be updated.

As a reminder - the only time this description will appear is if someone searches for 'wikipedia' on a search engine site.

The unfortunate part of adding in specific numbers is that this will need to be updated on a somewhat regular basis, which I'm not sure we'll be able to do.

That makes sense. I think it's fine to leave the numbers out.

Please update to:

Wikipedia is a free encyclopedia, written by volunteers and hosted by the Wikimedia Foundation, a non-profit organization that also enables other collaboratively built projects to be created using wiki software.

I'd still prefer we avoid making the description WMF-focussed; the last sentence, and therefore over half the text, is about the Wikimedia Foundation, which is not relevant to most readers and is not the focus of the Wikipedia project. For example, I'd prefer something like this:

Wikipedia is a free encyclopedia, hosted by the Wikimedia Foundation and collaboratively written by volunteers from around the world.

debt added a comment.Sep 1 2016, 7:35 PM

How about:

Wikipedia is a free online encyclopedia, created and edited by volunteers around the world and hosted by the Wikimedia Foundation.

Change 306241 abandoned by Jdrewniak:
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

Change 310517 had a related patch set uploaded (by Jdrewniak):
T143239 - Adding meta description to www.wikipedia.org

https://gerrit.wikimedia.org/r/310517

Change 310517 merged by jenkins-bot:
T143239 - Adding meta description to www.wikipedia.org

https://gerrit.wikimedia.org/r/310517

debt added a comment.Sep 14 2016, 4:26 PM

This was pushed into production on Sep 14, 2016 during morning SWAT

debt closed this task as Resolved.Sep 16 2016, 7:10 PM
debt claimed this task.

The metadata description has now been caught by the major search engines.